import { DomSanitizer, SafeUrl } from "@angular/platform-browser";
export declare class StaticResourceService {
    private sanitizer;
    private ResultMap;
    constructor(sanitizer: DomSanitizer);
    load(url: string, cb?: (result: SafeUrl | "") => void): Promise<SafeUrl>;
    forceLoad(url: string, cb: (result: SafeUrl | "") => void): Promise<SafeUrl>;
}
